routes/web.php
    Route::post('sknjop-kolektif', 'sknjopController@storeKolektif');
    Route::get('sknjop-cetak/{id}', 'sknjopController@previewCetak');
    Route::get('sknjop-tanda-terima/{id}', 'sknjopController@tandaterima');
    Route::get('sknjop-tanda-cetak/{id}', 'sknjopController@tandaterimaPreview');
    Route::get('sknjop-render-batch/{id}', 'sknjopController@batchRender');
    Route::get('sknjop-cetak-batch/{id}', 'sknjopController@batchPreview');
    Route::resource('sknjop', 'sknjopController')->except(['edit', 'update'])->middleware(['permission:sknjop.menu']);
    Route::resource('sknjop-verifikasi', 'SknjopVerifikasiController')->except(['create', 'store', 'destroy']);
    // PenetapanObjekController
    route::resource('penetapan', 'PenetapanObjekController')->only(['index', 'create', 'store']);
    route::get('cetak-sppt', 'SpptController@FormCetak')->name('cetak.index');
    route::post('cetak-sppt', 'SpptController@generateSppt')->name('cetak.generate');
    // penelitian
    Route::group(['prefix' => 'penelitian', 'as' => 'penelitian.'], function () {
        route::get('penolakan', 'penelitianKantorController@ditolak');
        route::get('sk-penolakan/{id}', 'penelitianKantorController@ditolakSk');
        route::get('hasil-penelitian', 'LhpController@index')->middleware(['permission:penelitian.hasil-penelitian.menu']);
        route::get('hasil-penelitian-cancel/{id}', 'LhpController@cancelPenelitian')->name('hasil.cancel');
        route::get('kantor-hasil-penelitian/{id}', 'penelitianKantorController@hasilPenelitian');
        route::get('lapangan-hasil-penelitian/{id}', 'penelitianLapanganController@hasilPenelitian');
        route::get('nota-perhitungan', 'LhpController@notaPerhitungan')->middleware(['permission:penelitian.nota-perhitungan.menu']);
        route::get('nota-perhitungan-print', 'LhpController@notaPerhitunganprint');
        route::get('nota-perhitungan-excel', 'LhpController@notaPerhitunganExcel');
        route::get('nota-perhitungan-hapus/{id}', 'LhpController@notaPerhitunganhapus');
        route::get('kantor-switch/{id}', 'penelitianKantorController@switchPenelitian');
        route::get('lapangan-switch/{id}', 'penelitianLapanganController@switchPenelitian');
        route::post('kantor-pecah', 'penelitianKantorController@savePecah');
        route::get('kantor-pecah-proses', 'penelitianKantorController@savePecahFinal');
        route::get('kantor-pecah-list', 'penelitianKantorController@dataPecah');
        route::post('kantor-tolak/{id}', 'penelitianKantorController@SimpanTolak')->name('kantor.tolak');
        route::resource('kantor', 'penelitianKantorController')->middleware(['permission:penelitian.kantor.menu']);
        route::resource('lapangan', 'penelitianLapanganController')->middleware(['permission:penelitian.lapangan.menu']);
        route::get('objek-penelitian', 'penelitianLapanganController@listObjekPenelitian');
        route::get('cetak-spop/{formulir}', 'spopController@cetakSpop');
        route::get('sk', 'SuratKeputusanController@index')->middleware(['permission:penelitian.sk.menu']);
        route::get('sk_cetak', 'SuratKeputusanController@cetak');
    });
    route::get('besembilan', 'besembilanController@index')->middleware(['permission:besembilan.menu']);
    route::get('pelimpahan', 'besembilanController@indexPelimpahan');
    Route::group(['prefix' => 'dbkb', 'as' => 'dbkb.'], function () {
        Route::resource('harga-fasilitas', 'HrgFasilitasController')->only(['index', 'create', 'store']);
        Route::get('harga-fasilitas-export', 'HrgFasilitasController@exportPdf')->name('harga-fasilitas.export');
        Route::resource('daya-dukung', 'DbkbDayaDukungController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-dua', 'DbkbJpbDuaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tiga', 'DbkbJpbTigaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-empat', 'DbkbJpbEmpatController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-lima', 'DbkbJpbLimaController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-enam', 'DbkbJpbEnamController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tujuh', 'DbkbJpbTujuhController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-delapan', 'DbkbJpbDelapanController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-sembilan', 'DbkbJpbSembilanController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-dua-belas', 'DbkbJpbDuaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-tiga-belas', 'DbkbJpbTigaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-empat-belas', 'DbkbJpbEmpatBelasController')->only(['index', 'create', 'store', 'edit', 'update']);
        Route::resource('jepebe-lima-belas', 'DbkbJpbLimaBelasController')->only(['index', 'create', 'store']);
        Route::resource('jepebe-enam-belas', 'DbkbJpbEnamBelasController')->only(['index', 'create', 'store']);
        route::resource('mezanine', 'dbkbMezanineController');
    });

    Route::group(['prefix' => 'ssh', 'as' => 'ssh.'], function () {
        Route::get('harga-resource-cetak/{tahun}/{tipe}', 'HrgResourceController@cetak')->name('harga-resource.cetak');
        Route::resource('harga-resource', 'HrgResourceController')->only(['index', 'create', 'store']);
        Route::resource('harga-kegiatan', 'HrgKegiatanController')->only(['index', 'create', 'store']);
        Route::get('harga-kegiatan.export', 'HrgKegiatanController@exportPdf')->name('harga-kegiatan.export');
    });
    Route::group(['prefix' => 'potongan', 'as' => 'potongan.'], function () {
        route::get('/', 'MsPotonganController@listPotongan')->name('index');
        route::get('/excel', 'MsPotonganController@listPotonganExcel')->name('excel');
        route::get('/rekap', 'MsPotonganController@RekapPotongan')->name('rekap');
    });

    route::resource('kelola-nop', 'KelolaNopController')->middleware('wajibPajakVerification');
    // route::get('kelola-nop-verifikasi/{id}', 'KelolaNopController@verifikasi');
    // route::post('kelola-nop-verifikasi/{id}', 'KelolaNopController@verifikasiStore');
    route::post('kelola-nop-preview', 'KelolaNopController@previewNop');
    route::resource('kelola-nop-verifikasi', 'KelolaNopVerifikasiController')->only(['index', 'edit', 'update']);
    route::resource('kelola-objek-verifikasi', 'KelolaObjekVerifikasi');


    route::post('permohonan-pengelola-objek/{id}', 'KelolaNopController@storePermohonanPengelola');

    route::resource('kelola-developer', 'kelolaDeveloperController');
    // route::resource('kelola-developer-verifikasi', 'KelolaDeveloperVerifikasiController')->only(['index', 'edit', 'update']);
    route::resource('kelola-rayon', 'KelolaRayonController');
});


route::get('tes', function (Request $request) {
    $url = 'http://localhost/simpbb/esppt?nop=3507260001017053902023';
    return view("iframe", compact('url'));
});

Route::get('esppt', function (Request $request) {
    $nop = $request->nop;
    return Esppt::generate($nop);
});

Route::get('/qrsppt', function (Request $request) {
    $nop = $request->nop;
    $url = url('esppt') . '?nop=' . $nop;
    return  \QrCode::size(200)
        ->style('square')
        ->generate($url);
});



route::get('penelitian/nota-perhitungan-pdf/{id}', 'LhpController@notaPerhitunganPdf');
Route::get('menus', 'MenuController@index');
Route::get('menus-show', 'MenuController@show');
Route::post('menus', 'MenuController@store')->name('menus.store');
Route::patch('menus-update/{id}', 'MenuController@updateFunction')->name('menus.update');
Route::get('menu-hapus/{id}', 'MenuController@hapus');
Route::get('menus/create', 'MenuController@create')->name('menus.create');
Route::get('menus/{id}', 'MenuController@edit')->name('menus.edit');
route::get('sk/{ide}', 'SuratKeputusanController@cetakSK');
route::get('sk-tte', 'SuratKeputusanController@ContohSkTte');


Route::group(['middleware' => ['auth', 'isOn']], function () {

    // pembayaran-qris
    route::resource('pembayaran-qris', 'QrisController')->only(['index', 'show']);
    route::get('pembayaran-qris-cetak', 'QrisController@cetak');
    // pembayaran-va
    route::resource('pembayaran-va', 'VirtualController')->only(['index', 'show']);
    route::get('pembayaran-va-cetak', 'VirtualController@cetak');
    // pembayaran-va.show
    // route::get('pembayaran-va/')


    // pembayaran-va.show

    Route::get('pembayaran-blokir-nop', 'LaporanAnalisaController@pembayaranblokirnop')->name('pembayaran.blokir.nop');
    Route::group(['prefix' => 'pembayaran-blokir', 'as' => 'pembayaran.blokir.'], function () {
        Route::get('verifikasi', 'LaporanAnalisaController@pembayaranblokirverifikasi')->name('verifikasi');
        Route::get('verifikasi/{trx}', 'LaporanAnalisaController@pembayaranblokirverifikasiForm')->name('verifikasi-form');
        Route::post('verifikasi/{trx}', 'LaporanAnalisaController@pembayaranblokirverifikasiFormStore')->name('verifikasi-form.store');
        Route::post('upload', 'LaporanAnalisaController@blokirUpload')->name('upload');
        Route::post('buka-blokir', 'LaporanAnalisaController@bukaBlokir')->name('buka');
        Route::post('buka-blokir-trx', 'LaporanAnalisaController@bukaBlokirMasal')->name('bukamasal');
        Route::get('pdf/{trx}', 'LaporanAnalisaController@pembayaranTerblokirPdf')->name('pdf');
        Route::get('/', 'LaporanAnalisaController@pembayaran_terblokir')->name('index');
        // pendataan/penangguhan?tab=Koreksi%20Piutang
        Route::get('/{trx}', 'LaporanAnalisaController@pembayaranTerblokirDetail')->name('show');
        Route::post('/', 'LaporanAnalisaController@pembayaran_terblokir_store')->name('store');
    });

    Route::group(['prefix' => 'pendataan', 'as' => 'pendataan.'], function () {

resources/views/dbkb/jepebetiga/XXX_index.blade.php
<table class="table table-sm table-bordered">
    <thead class="bg-info">
        <tr>
            <th rowspan="2" width="10px" class="text-center">No</th>
            <th colspan="2" class="text-center">Lebar Bentang</th>
            <th colspan="2" class="text-center">Tinggi Kolom</th>
            <th rowspan="2" class="text-center" width="200px">Nilai </th>
        </tr>
        <tr>
            <th class="text-center">Min</th>
            <th class="text-center">Max</th>
            <th class="text-center">Min</th>
            <th class="text-center">Max</th>
        </tr>
    </thead>
    <tbody>
        @foreach ($data as $i=>$rk)
        <tr>
            <td class="text-center">{{ $i+1 }} </td>
            <td class="text-center">{{ $rk->lbr_bent_min_dbkb_jpb3  }}</td>
            <td class="text-center">{{ $rk->lbr_bent_max_dbkb_jpb3  }}</td>
            <td class="text-center">{{ $rk->ting_kolom_min_dbkb_jpb3  }}</td>
            <td class="text-center">{{ $rk->ting_kolom_max_dbkb_jpb3  }}</td>



            <td @if($read=='1' ) class="text-right" @endif>
                @if($read=='0')
                <input class="form-control angka" required type="text" value="{{ $rk->nilai_dbkb_jpb3!=''?$rk->nilai_dbkb_jpb3*1000:0 }}" name="nilai_{{$rk->lbr_bent_min_dbkb_jpb3.'_'.$rk->lbr_bent_max_dbkb_jpb3.'_'.                   $rk->ting_kolom_min_dbkb_jpb3.'_'.$rk->ting_kolom_max_dbkb_jpb3                }}" id="nilai_{{ $rk->lbr_bent_min_dbkb_jpb3.'_'.$rk->lbr_bent_max_dbkb_jpb3.'_'.$rk->ting_kolom_min_dbkb_jpb3.'_'.$rk->ting_kolom_max_dbkb_jpb3 }}">
                @else
                {{ $rk->nilai_dbkb_jpb3!=''?angka($rk->nilai_dbkb_jpb3*1000):0 }}
                @endif

            </td>
        </tr>
        @endforeach
    </tbody>
</table>
@if($read=='0')
<div class="float-right">

    <button class="btn btn-sm btn-flat btn-primary"><i class="fas fa-save"></i> Simpan</button>
    <a href="{{ route('dbkb.jepebe-dua.index') }}" class="btn btn-sm btn-flat btn-warning"><i class="far fa-window-close"></i> Batal</a>
</div>
@endif

resources/views/dbkb/jepebetiga/_index.blade.php
<table class="table table-sm table-bordered">
    <thead class="bg-info">
        <tr>
            <th rowspan="2" width="10px" class="text-center">No</th>
            <th width="200px" rowspan="2" class="text-center">Lebar Bentang</th>
            <th colspan="4" class="text-center">Tinggi Kolom</th>
        </tr>
        <tr>
            <th class="text-center">
                < 5M</th>
            <th class="text-center"> 5M s.d. 7M </th>
            <th class="text-center"> 8M s.d. 10M </th>
            <th class="text-center"> > 10M </th>
        </tr>
    </thead>
    <tbody>
        @foreach ($data as $i=>$rk)
        <tr>
            <td class="text-center">{{ $i+1 }} </td>
            <td class="text-center">{{ angka($rk->lbr_bent_min_dbkb_jpb3) }} M s.d. {{ angka($rk->lbr_bent_max_dbkb_jpb3) }} M</td>
            <td class="text-right"> @if($read=='1') {{ angka($rk->kolom_0_4) }} @else <input type="text" name="nilai_{{$i}}[]" class="form-control angka" value="{{ $rk->kolom_0_4 }}"> @endif </td>
            <td class="text-right"> @if($read=='1') {{ angka($rk->kolom_5_7) }} @else <input type="text" name="nilai_{{$i}}[]" class="form-control angka" value="{{ $rk->kolom_5_7 }}"> @endif </td>
            <td class="text-right"> @if($read=='1') {{ angka($rk->kolom_8_10) }} @else <input type="text" name="nilai_{{$i}}[]" class="form-control angka" value="{{ $rk->kolom_8_10 }}"> @endif </td>
            <td class="text-right"> @if($read=='1') {{ angka($rk->kolom_11_99) }} @else <input type="text" name="nilai_{{$i}}[]" class="form-control angka" value="{{ $rk->kolom_11_99 }}"> @endif </td>

        </tr>
        @endforeach
    </tbody>
</table>
@if($read=='0')
<div class="float-right">

    <button class="btn btn-sm btn-flat btn-primary"><i class="fas fa-save"></i> Simpan</button>
    <a href="{{ route('dbkb.jepebe-tiga.index') }}" class="btn btn-sm btn-flat btn-warning"><i class="far fa-window-close"></i> Batal</a>
</div>
@endif

resources/views/dbkb/jepebetiga/form.blade.php
@extends('layouts.app')

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Form DBKB JPB3 ( Pabrik )</h1>
            </div>
            <div class="col-sm-6">
                <div class="float-sm-right">

                </div>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">

                    <div class="card-body p-2">
                        <form action="{{ route('dbkb.jepebe-tiga.store') }}" method="post">
                            @csrf
                            @method('post')
                            <div class="row">
                                <div class="col-md-2">
                                    <div class="form-group row">
                                        <label for="thn_dbkb_jpb3" class="col-sm-6 col-form-label">Tahun</label>
                                        <div class="col-sm-6">
                                            <input type="text" class="form-control angka" name="thn_dbkb_jpb3" id="thn_dbkb_jpb3" placeholder="Tahun" maxlength="4" autofocus>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <div id="konten"></div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@section('script')
<script>
    $(function() {
        $('#thn_dbkb_jpb3').on('keyup', function(e) {
            thn = $('#thn_dbkb_jpb3').val()
            // console.log(thn.length)

            if (thn.length == 4) {
                openloading()
                $.ajax({
                    url: "{{ route('dbkb.jepebe-tiga.create') }}"
                    , data: {
                        'tahun': thn
                    }
                    , success: function(res) {
                        closeloading()
                        $('#konten').html(res)
                    }
                })
            } else {
                $('#konten').html('')
            }
        })
    });

</script>
@endsection

resources/views/dbkb/jepebetiga/index.blade.php
@extends('layouts.app')

@section('content')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>DBKB JPB 3 (Pabrik)</h1>
            </div>
            <div class="col-sm-6">
                <div class="float-sm-right">
                    <a href="{{ route('dbkb.jepebe-tiga.create') }}" class="btn btn-primary btn-sm">
                        <i class="fas fa-file"></i> Konfigurasi
                    </a>
                </div>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body p-2">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group row">
                                    <label for="thn_dbkb_jpb3" class="col-sm-6 col-form-label">Tahun</label>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control angka" name="thn_dbkb_jpb3" id="thn_dbkb_jpb3" value="{{ date('Y') }}" placeholder="Tahun" maxlength="4" autofocus>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div id="konten"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@section('script')
<script>
    $(function() {
        // $('#thn_dbkb_jpb3').trigger('change')

        loaddata($('#thn_dbkb_jpb3').val())

        function loaddata(thn) {
            if (thn.length == 4) {
                openloading()
                $.ajax({
                    url: "{{ route('dbkb.jepebe-tiga.index') }}"
                    , data: {
                        'tahun': thn
                    }
                    , success: function(res) {
                        closeloading()
                        $('#konten').html(res)
                    }
                })
            } else {
                $('#konten').html('')
            }
        }


        $('#thn_dbkb_jpb3').on('keyup change', function(e) {
            thn = $('#thn_dbkb_jpb3').val()
            loaddata(thn)
        })
    });

</script>
@endsection